summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJoshua Lock <josh@linux.intel.com>2010-06-22 13:20:08 +0100
committerJoshua Lock <josh@linux.intel.com>2010-06-25 14:58:43 +0100
commite2c567f51e2d1bf769c8e2ea3abd738ce6fa7c0a (patch)
tree8ca4e5b4f1895e4181b633f2d6df78a1ca7cfa45
parent7646f333e14ed2e4f34552544e1428218fd08f3b (diff)
downloadpoky-e2c567f51e2d1bf769c8e2ea3abd738ce6fa7c0a.tar.gz
poky-e2c567f51e2d1bf769c8e2ea3abd738ce6fa7c0a.tar.bz2
poky-e2c567f51e2d1bf769c8e2ea3abd738ce6fa7c0a.zip
pkgconfig: add patch to disable legacy scripts such as glib-config
On an F13 host with glib-config installed pkgconfig-native can get into a horrible state with recursive calls between pkg-config and glib-config. The patch adds a configure time option to disable legacy script support in pkgconfig and makes use of the option for Poky. Signed-off-by: Joshua Lock <josh@linux.intel.com>
-rw-r--r--meta/packages/pkgconfig/pkgconfig.inc15
-rw-r--r--meta/packages/pkgconfig/pkgconfig/disable-legacy.patch42
2 files changed, 50 insertions, 7 deletions
diff --git a/meta/packages/pkgconfig/pkgconfig.inc b/meta/packages/pkgconfig/pkgconfig.inc
index 463faf3fad..c64037299e 100644
--- a/meta/packages/pkgconfig/pkgconfig.inc
+++ b/meta/packages/pkgconfig/pkgconfig.inc
@@ -5,19 +5,20 @@ It replaces the ubiquitous *-config scripts you may have \
seen with a single tool."
HOMEPAGE = "http://pkg-config.freedesktop.org/wiki/"
LICENSE = "GPL"
-PR = "r7"
+PR = "r8"
DEPENDS = "glib-2.0"
DEPENDS_virtclass-native = ""
DEPENDS_virtclass-nativesdk = ""
-EXTRA_OECONF = "--with-installed-glib"
-EXTRA_OECONF_virtclass-native = ""
-EXTRA_OECONF_virtclass-nativesdk = ""
+EXTRA_OECONF = "--with-installed-glib --disable-legacy-scripts"
+EXTRA_OECONF_virtclass-native = "--disable-legacy-scripts"
+EXTRA_OECONF_virtclass-nativesdk = "--disable-legacy-scripts"
SRC_URI = "http://pkgconfig.freedesktop.org/releases/pkg-config-${PV}.tar.gz \
- file://autofoo.patch;patch=1 \
- file://sysrootfix.patch;patch=1 \
- file://glibconfig-sysdefs.h"
+ file://autofoo.patch \
+ file://sysrootfix.patch \
+ file://glibconfig-sysdefs.h \
+ file://disable-legacy.patch"
S = "${WORKDIR}/pkg-config-${PV}/"
diff --git a/meta/packages/pkgconfig/pkgconfig/disable-legacy.patch b/meta/packages/pkgconfig/pkgconfig/disable-legacy.patch
new file mode 100644
index 0000000000..fea2d3d501
--- /dev/null
+++ b/meta/packages/pkgconfig/pkgconfig/disable-legacy.patch
@@ -0,0 +1,42 @@
+On an Fedora host with glib-config installed pkgconfig-native can get into a
+horrible state with recursive calls between pkg-config and glib-config.
+The patch adds a configure time option to disable legacy script support in
+pkgconfig with the --disable-legacy-scripts option, to maintain compatibility
+the default is to leave the scripts enabled.
+
+JL - 22/06/10
+Index: pkg-config-0.23/configure.in
+===================================================================
+--- pkg-config-0.23.orig/configure.in 2008-01-16 22:48:07.000000000 +0000
++++ pkg-config-0.23/configure.in 2010-06-22 13:05:58.951984140 +0100
+@@ -125,6 +125,14 @@
+ AC_CONFIG_SUBDIRS(glib-1.2.10)
+ fi # !native_win32
+
++# legacy *-configure scripts can cause headaches, add option to disable
++AC_ARG_ENABLE(legacy-scripts,
++ [AC_HELP_STRING([--enable-legacy-scripts=@<:@no/yes@:>@],
++ [Whether pkg-config will try and use legacy scripts such as glib-config and gnome-config @<:@default=yes@:>@])],
++ [],
++ [enable_legacy=yes])
++AM_CONDITIONAL([LEGACY_SCRIPTS], [test x$enable_legacy = xyes])
++
+ AC_FUNC_ALLOCA
+
+ AC_CHECK_FUNCS(setresuid setreuid,break)
+Index: pkg-config-0.23/parse.c
+===================================================================
+--- pkg-config-0.23.orig/parse.c 2008-01-16 20:42:49.000000000 +0000
++++ pkg-config-0.23/parse.c 2010-06-22 13:09:10.410129471 +0100
+@@ -1195,6 +1195,11 @@
+ * messages.
+ */
+ return NULL;
++#elif defined(LEGACY_SCRIPTS)
++ /* There are scenarios where we might not want to use these legacy
++ * scripts even if they are available.
++ */
++ return NULL;
+ #else
+
+ Package *pkg;